package pps.core.prediction.service;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import pps.core.prediction.constant.ThirdPartyApiConstant;
import pps.core.prediction.service.data.third_active_power.GetThirdSanDieLoginInfoOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XHttpUtils;
import xstartup.data.XSingleResult;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.feature.api.annotation.XApiPost;

/**
 * 第三方有功功率
 *
 * @author ZWT
 * @date 2024/03/19
 */
@XText("第三方有功功率")
@XService
public class ThirdActivePowerService {

    @XApiAnonymous
    @XText("第三方--获取三叠登录信息")
    @XApiPost
    public XSingleResult<GetThirdSanDieLoginInfoOutput> getThirdSanDieLoginInfo(XContext context) {
        JSONObject param = new JSONObject();
        param.put("username", "31b5604627e345ebb48175de8f2ee0bdem55ajAwMQ==kj");
        param.put("password", "sdSktfem55ajAwMSFAIzEw8ef354f215d44c0eafd403ab7a1ce74a");
        String result = XHttpUtils.postAsJson(ThirdPartyApiConstant.CQ_SD_LOGIN, param.toJSONString());
        context.getLogger().info("**** getThirdSanDieLoginInfo result: {}", result);
        param = JSON.parseObject(result);
        GetThirdSanDieLoginInfoOutput output = JSON.parseObject(param.getString("data"), GetThirdSanDieLoginInfoOutput.class);

        return XSingleResult.success(output);
    }

}
